> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List an automation's runs

> Most recent first.

A succeeded run means the run finished, not that it did what was wanted.



## OpenAPI

````yaml get /automation/{id}/runs
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /automation/{id}/runs:
    get:
      tags:
        - Automations
      summary: List an automation's runs
      description: |-
        Most recent first.

        A succeeded run means the run finished, not that it did what was wanted.
      operationId: getAutomationRuns
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: id
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        automationId:
                          type: string
                        projectId:
                          type: string
                        workspaceId:
                          type: string
                        status:
                          type: string
                          enum:
                            - queued
                            - running
                            - succeeded
                            - failed
                            - cancelled
                        attempts:
                          type: number
                        queuedAt:
                          type: number
                        startedAt:
                          type: number
                        finishedAt:
                          type: number
                        stepResults:
                          type: array
                          items:
                            type: object
                            additionalProperties: {}
                        projectsTouched:
                          type: array
                          items:
                            type: string
                        summary:
                          type: string
                        notable:
                          type: boolean
                        error:
                          type: string
                        affectedRowCount:
                          type: number
                        externalWriteCount:
                          type: number
                        tokensIn:
                          type: number
                        tokensOut:
                          type: number
                        reverted:
                          type: boolean
                      required:
                        - _id
                        - automationId
                        - projectId
                        - workspaceId
                        - status
                        - attempts
                        - queuedAt
                        - stepResults
                        - projectsTouched
                        - affectedRowCount
                        - externalWriteCount
                        - tokensIn
                        - tokensOut
                required:
                  - data
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````